Class | Chef::SolrInstaller::Config
In: | lib/chef/solr/solr_installer.rb
Parent: | Object

### Methods

apply_hash configurable configurables configure_from default_values each_configurable new solr_base_path solr_base_path= solr_data_path solr_home_path solr_jetty_path to_hash

### Classes and Modules

Module Chef::SolrInstaller::Config::CLI
Class Chef::SolrInstaller::Config::CompatConfig

### External Aliases

force | -> | force?
noop | -> | noop?

### Public Class methods

configurable(value, default=nil)
configurables()
default_values()
new()

### Public Instance methods

apply_hash(hash)
configure_from(argv)
each_configurable() {|[config_param, send(config_param)]| ...}
solr_base_path()
solr_base_path=(base_path)

Sets the solr_base_path. Also resets solr_home_path, solr_jetty_path, and solr_data_path.

solr_data_path()
solr_home_path()
solr_jetty_path()
to_hash()

[Validate]